CONST PI = 3.1415926

set fs=createobject("scripting.filesystemobject")
set f1=fs.createtextfile("sin.txt")
set f2=fs.createtextfile("cos.txt")

dim sins(256)
dim coss(256)

FOR s = 0 TO 256 step 2
   asin = hex(cint(256 * SIN(s * PI / 128)))
   asin = Right("0000" & asin, 4)
   a1=a1 & "$" & asin & ","
   acos = hex(cint(256 * COS(s * PI / 128)))
   acos = Right("0000" & acos, 4)
   a2=a2 & "$" & acos & "," 
NEXT 

sinarray=split(a1,",")

redim preserve sinarray(ubound(sinarray)-1)

for i=0 to (ubound(sinarray)-1) step 8
  output=""
  for j=0 to 7
    output=output & sinarray(j+i) & ","
  next 
  lineout=chr(9) & "fdb" & chr(9) & left(output,len(output)-1)
f1.writeline(lineout)
next

cosarray=split(a2,",")

redim preserve cosarray(ubound(cosarray)-1)

for i=0 to (ubound(cosarray)-1) step 8
  output=""
  for j=0 to 7
    output=output & cosarray(j+i) & ","
  next 
  lineout=chr(9) & "fdb" & chr(9) & left(output,len(output)-1)
f2.writeline(lineout)
next

' **************************************************************

' Radius = (80/2)/cos(45)
' posIX = 256 * (24 + Radius * (cos(45)-cos(45-Angle)))
' posIY = 256 * (56-32 + (Radius * (sin(45)-sin(45-Angle)))
set fs=createobject("scripting.filesystemobject")
set f1=fs.createtextfile("posX.txt")
set f2=fs.createtextfile("posY.txt")

radius = 40/COS(PI/4)
dim px(256)
dim py(256)

FOR s = 0 TO 256 step 2
	resultat =  hex(round(256*((radius * (COS(PI/4) - COS(PI/4 - PI*s/128))+24)),0))
	resultat = Right("0000" & resultat, 4)
	resultat2 = hex(round(256*((radius * (SIN(PI/4) - SIN(PI/4 - PI*s/128))+56-32)),0))
	resultat2 = Right("0000" & resultat2, 4)
   a3=a3 & "$" & resultat & ","
   a4=a4 & "$" & resultat2 & "," 
NEXT 

pxarray=split(a3,",")

redim preserve pxarray(ubound(pxarray)-1)

for i=0 to (ubound(pxarray)-1) step 8
  output=""
  for j=0 to 7
    output=output & pxarray(j+i) & ","
  next 
  lineout=chr(9) & "fdb" & chr(9) & left(output,len(output)-1)
f1.writeline(lineout)
next

pyarray=split(a4,",")

redim preserve pyarray(ubound(pyarray)-1)

for i=0 to (ubound(pyarray)-1) step 8
  output=""
  for j=0 to 7
    output=output & pyarray(j+i) & ","
  next 
  lineout=chr(9) & "fdb" & chr(9) & left(output,len(output)-1)
f2.writeline(lineout)
next

' ******************************************************************
' ytab hex(round(128*(i+32)+10752)) = 128*i + 14848
' i is added 32 before multiplying by 32 (bytes per line)
' in order to compensate for the 32 deducted while calculating
' the values in table PosIY
' The 14848 is added to start from $3a00 = texture RAM beginning
' ******************************************************************

set fs=createobject("scripting.filesystemobject")
set f1=fs.createtextfile("ytab.txt")

for i=0 to 192
 ytab=ytab & "$" & hex((128*i+14848)) & ","
NEXT

myarray=split(ytab,",")

redim preserve myarray(ubound(myarray)-1)

for i=0 to (ubound(myarray)-1) step 16
  output=""
  for j=0 to 15
    output=output & myarray(j+i) & ","
  next 
  lineout=chr(9) & "fdb" & chr(9) & left(output,len(output)-1)
f1.writeline(lineout)
next
